Subject: Re: RFC: Enable delayed responses to Git clean/smudge filter requests

From: Junio C Hamano <[email-masked]>
Date: Mon, 28 Nov 2016 13:48:49 -0800

Lars Schneider <[email-masked]> writes:

> What way do you think is better from a maintenance point of view?
> I prefer option 2 but I fear that these "special" values could confuse
> future readers of the code.

I recall getting confused by the redefinition of the meaning of
return value from the grep_directory() function when we started
threading the working-tree grep codepath at around 5b594f457a;
compared to that, as long as the "special" (and "normal") values are
made symbolic constants, I do not think it is too bad.